package com.curiam.client;

import java.io.Serializable;
import java.util.ArrayList;

import com.google.gwt.user.client.ui.Label;

public class CaseBeanTPB implements Serializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	private String caseID;
	
	private String age;
	private String clinical_presentation;
	private String localization;
	private String size;
	private String shape;
	private String t1_hyperitense_tracts;
	private String t1_signal_intensity;
	private String t2_signal_intensity;
	private String margins;
	private String homogeneity;
	private String edema;
	private String multiplicity;
	private String target_appearance;
	private String dependence;
	private String mulcular_atrophy;
	private String calcification;
	private String vessels;
	private String intratumorral_hemorrhage;
	private String fat;
	private String fibrosis;
	private String fascial_relationship;
	private String bone_alteration;
	private String lesion_character;
	
	public String getCaseID() {
		return caseID;
	}
	public void setCaseID(String caseID) {
		this.caseID = caseID;
	}
	
	public ArrayList<Object> getAge() {
		ArrayList<Object> s = new ArrayList<Object>();
		s.add(age);
		return s;
	}
	public void setAge(String age) {
		this.age = age;
	}
	
	public ArrayList<Object> getClinical_presentation() {
		ArrayList<Object> s = new ArrayList<Object>();
		s.add(clinical_presentation);
		return s;
	}
	public void setClinical_presentation(String clinicalPresentation) {
		clinical_presentation = clinicalPresentation;
	}
	
	public ArrayList<Object> getLocalization() {
		ArrayList<Object> s = new ArrayList<Object>();
		s.add(localization);
		return s;
	}
	public void setLocalization(String localization) {
		this.localization = localization;
	}
	
	public ArrayList<Object> getSize() {
		ArrayList<Object> s = new ArrayList<Object>();
		s.add(size);
		return s;
	}
	public void setSize(String size) {
		this.size = size;
	}
	
	public ArrayList<Object> getShape() {
		ArrayList<Object> s = new ArrayList<Object>();
		s.add(shape);
		return s;
	}
	public void setShape(String shape) {
		this.shape = shape;
	}
	
	public ArrayList<Object> getT1_hyperitense_tracts() {
		ArrayList<Object> s = new ArrayList<Object>();
		s.add(t1_hyperitense_tracts);
		return s;
	}
	public void setT1_hyperitense_tracts(String t1HyperitenseTracts) {
		t1_hyperitense_tracts = t1HyperitenseTracts;
	}
	
	public ArrayList<Object> getT1_signal_intensity() {
		ArrayList<Object> s = new ArrayList<Object>();
		s.add(t1_signal_intensity);
		return s;
	}
	public void setT1_signal_intensity(String t1SignalIntensity) {
		t1_signal_intensity = t1SignalIntensity;
	}
	
	public ArrayList<Object> getT2_signal_intensity() {
		ArrayList<Object> s = new ArrayList<Object>();
		s.add(t2_signal_intensity);
		return s;
	}
	public void setT2_signal_intensity(String t2SignalIntensity) {
		t2_signal_intensity = t2SignalIntensity;
	}
	
	public ArrayList<Object> getMargins() {
		ArrayList<Object> s = new ArrayList<Object>();
		s.add(margins);
		return s;
	}
	public void setMargins(String margins) {
		this.margins = margins;
	}
	
	public ArrayList<Object> getHomogeneity() {
		ArrayList<Object> s = new ArrayList<Object>();
		s.add(homogeneity);
		return s;
	}
	public void setHomogeneity(String homogeneity) {
		this.homogeneity = homogeneity;
	}
	
	public ArrayList<Object> getEdema() {
		ArrayList<Object> s = new ArrayList<Object>();
		s.add(edema);
		return s;
	}
	public void setEdema(String edema) {
		this.edema = edema;
	}
	
	public ArrayList<Object> getMultiplicity() {
		ArrayList<Object> s = new ArrayList<Object>();
		s.add(multiplicity);
		return s;
	}
	public void setMultiplicity(String multiplicity) {
		this.multiplicity = multiplicity;
	}
	
	public ArrayList<Object> getTarget_appearance() {
		ArrayList<Object> s = new ArrayList<Object>();
		s.add(target_appearance);
		return s;
	}
	public void setTarget_appearance(String targetAppearance) {
		target_appearance = targetAppearance;
	}
	
	public ArrayList<Object> getDependence() {
		ArrayList<Object> s = new ArrayList<Object>();
		s.add(dependence);
		return s;
	}
	public void setDependence(String dependence) {
		this.dependence = dependence;
	}
	
	public ArrayList<Object> getMulcular_atrophy() {
		ArrayList<Object> s = new ArrayList<Object>();
		s.add(mulcular_atrophy);
		return s;
	}
	public void setMulcular_atrophy(String mulcularAtrophy) {
		mulcular_atrophy = mulcularAtrophy;
	}
	
	public ArrayList<Object> getCalcification() {
		ArrayList<Object> s = new ArrayList<Object>();
		s.add(calcification);
		return s;
	}
	public void setCalcification(String calcification) {
		this.calcification = calcification;
	}
	
	public ArrayList<Object> getVessels() {
		ArrayList<Object> s = new ArrayList<Object>();
		s.add(vessels);
		return s;
	}
	public void setVessels(String vessels) {
		this.vessels = vessels;
	}
	
	public ArrayList<Object> getIntratumorral_hemorrhage() {
		ArrayList<Object> s = new ArrayList<Object>();
		s.add(intratumorral_hemorrhage);
		return s;
	}
	public void setIntratumorral_hemorrhage(String intratumorralHemorrhage) {
		intratumorral_hemorrhage = intratumorralHemorrhage;
	}
	
	public ArrayList<Object> getFat() {
		ArrayList<Object> s = new ArrayList<Object>();
		s.add(fat);
		return s;
	}
	public void setFat(String fat) {
		this.fat = fat;
	}
	
	public ArrayList<Object> getFibrosis() {
		ArrayList<Object> s = new ArrayList<Object>();
		s.add(fibrosis);
		return s;
	}
	public void setFibrosis(String fibrosis) {
		this.fibrosis = fibrosis;
	}
	
	public ArrayList<Object> getFascial_relationship() {
		ArrayList<Object> s = new ArrayList<Object>();
		s.add(fascial_relationship);
		return s;
	}
	public void setFascial_relationship(String fascialRelationship) {
		fascial_relationship = fascialRelationship;
	}
	
	public ArrayList<Object> getBone_alteration() {
		ArrayList<Object> s = new ArrayList<Object>();
		s.add(bone_alteration);
		return s;
	}
	public void setBone_alteration(String boneAlteration) {
		bone_alteration = boneAlteration;
	}
	
	public ArrayList<Object> getLesion_character() {
		ArrayList<Object> s = new ArrayList<Object>();
		s.add(lesion_character);
		return s;
	}
	public void setLesion_character(String lesionCharacter) {
		lesion_character = lesionCharacter;
	}
	
	public boolean combovalor(Label lb, int item){
		if(lb.getText().equals("clinical presentation:"))
			switch(item){
			case 0:
				this.clinical_presentation = "-99";
				return true;
			default:
				this.clinical_presentation = String.valueOf(item);
				return true;
			}
		if(lb.getText().equals("location:"))
			switch(item){
			case 0:
				this.localization = "-99";
				return true;
			default:
				this.localization = String.valueOf(item);
				return true;
			}
		if(lb.getText().equals("shape:"))
			switch(item){
			case 0:
				this.shape = "-99";
				return true;
			default:
				this.shape = String.valueOf(item);
				return true;
			}
		if(lb.getText().equals("t1 hyperitense tracts:"))
			switch(item){
			case 0:
				this.t1_hyperitense_tracts = "-99";
				return true;
			default:
				this.t1_hyperitense_tracts = String.valueOf(item);
				return true;
			}
		
		if(lb.getText().equals("t1 signal intensity:"))
			switch(item){
			case 0:
				this.t1_signal_intensity = "-99";
				return true;
			default:
				this.t1_signal_intensity = String.valueOf(item);
				return true;
			}
		if(lb.getText().equals("t2 signal intensity:"))
			switch(item){
			case 0:
				this.t2_signal_intensity = "-99";
				return true;
			default:
				this.t2_signal_intensity = String.valueOf(item);
				return true;
			}
		if(lb.getText().equals("margins:"))
			switch(item){
			case 0:
				this.margins = "-99";
				return true;
			default:
				this.margins = String.valueOf(item);
				return true;
			}
		
		if(lb.getText().equals("homogenity:"))
			switch(item){
			case 0:
				this.homogeneity = "-99";
				return true;
			default:
				this.homogeneity = String.valueOf(item);
				return true;
			}
		if(lb.getText().equals("edema:"))
			switch(item){
			case 0:
				this.edema = "-99";
				return true;
			default:
				this.edema = String.valueOf(item);
				return true;
			}
		if(lb.getText().equals("multiplicity:"))
			switch(item){
			case 0:
				this.multiplicity = "-99";
				return true;
			default:
				this.multiplicity = String.valueOf(item);
				return true;
			}
		
		if(lb.getText().equals("target appearence:"))
			switch(item){
			case 0:
				this.target_appearance = "-99";
				return true;
			default:
				this.target_appearance = String.valueOf(item);
				return true;
			}
		if(lb.getText().equals("dependence:"))
			switch(item){
			case 0:
				this.dependence = "-99";
				return true;
			default:
				this.dependence = String.valueOf(item);
				return true;
			}
		if(lb.getText().equals("muscular atrophy:"))
			switch(item){
			case 0:
				this.mulcular_atrophy = "-99";
				return true;
			default:
				this.mulcular_atrophy = String.valueOf(item);
				return true;
			}
		
		if(lb.getText().equals("calcification:"))
			switch(item){
			case 0:
				this.calcification = "-99";
				return true;
			default:
				this.calcification = String.valueOf(item);
				return true;
			}
		if(lb.getText().equals("vessels:"))
			switch(item){
			case 0:
				this.vessels = "-99";
				return true;
			default:
				this.vessels = String.valueOf(item);
				return true;
			}
		if(lb.getText().equals("intratumorral hemorrhage:"))
			switch(item){
			case 0:
				this.intratumorral_hemorrhage = "-99";
				return true;
			default:
				this.intratumorral_hemorrhage = String.valueOf(item);
				return true;
			}
		
		if(lb.getText().equals("fat:"))
			switch(item){
			case 0:
				this.fat = "-99";
				return true;
			default:
				this.fat = String.valueOf(item);
				return true;
			}
		if(lb.getText().equals("fibrosis:"))
			switch(item){
			case 0:
				this.fibrosis = "-99";
				return true;
			default:
				this.fibrosis = String.valueOf(item);
				return true;
			}
		if(lb.getText().equals("fascial relationship:"))
			switch(item){
			case 0:
				this.fascial_relationship = "-99";
				return true;
			default:
				this.fascial_relationship = String.valueOf(item);
				return true;
			}
		
		if(lb.getText().equals("bone alteration:"))
			switch(item){
			case 0:
				this.bone_alteration = "-99";
				return true;
			default:
				this.bone_alteration = String.valueOf(item);
				return true;
			}
		if(lb.getText().equals("lession character:"))
			switch(item){
			case 0:
				this.lesion_character = "-99";
				return true;
			default:
				this.lesion_character = String.valueOf(item);
				return true;
			}
		return false;
	}
}
